> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# get labels for this contract from labels api



## OpenAPI

````yaml /openapi.json get /api/v1/contract/{id}/label
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/contract/{id}/label:
    get:
      tags:
        - Contract Route
      summary: get labels for this contract from labels api
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationDtoLabelDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    PaginationDtoLabelDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/LabelDto'
        total:
          format: int64
          description: Total amount of document available for this request
          type: integer
    LabelDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        address:
          description: Address of the label
          type: string
        blockchainNetwork:
          description: Blockchain uid
          type: string
        tags:
          description: Set of tags
          uniqueItems: true
          type: array
          items:
            type: string
        category:
          description: Category of the label
          type: string
          example: Masternodes
        source:
          description: Source of the label
          type: string
        name:
          description: Name of the label
          type: string
        score:
          format: double
          description: Score of the label
          type: number
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````